Update profile
curl --request PUT \
--url https://api.gcore.com/security/iaas/v2/profiles/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"profile_template": 1,
"fields": [
{
"base_field": 1,
"field_value": [
12,
54,
43
]
}
],
"ip_address": "<string>",
"site": "ED"
}
'import requests
url = "https://api.gcore.com/security/iaas/v2/profiles/{id}"
payload = {
"profile_template": 1,
"fields": [
{
"base_field": 1,
"field_value": [12, 54, 43]
}
],
"ip_address": "<string>",
"site": "ED"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profile_template: 1,
fields: [{base_field: 1, field_value: [12, 54, 43]}],
ip_address: '<string>',
site: 'ED'
})
};
fetch('https://api.gcore.com/security/iaas/v2/profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"profile_template": {
"id": 123,
"name": "<string>",
"fields": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"required": true,
"default": "<string>",
"validation_schema": {}
}
],
"version": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"description": "<string>",
"base_template": 123,
"template_sifter": "<string>"
},
"fields": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"field_type": "<string>",
"required": true,
"default": "<string>",
"base_field": 1,
"validation_schema": {},
"field_value": [
12,
54,
43
]
}
],
"site": "ED",
"options": {
"bgp": true,
"active": true,
"price": "<string>"
},
"protocols": [
{}
],
"status": {},
"plan": "<string>",
"ip_address": "10.32.5.12"
}Profiles
Update profile
Update profile. Protection policies are updated at the same time as profile updated
PUT
/
security
/
iaas
/
v2
/
profiles
/
{id}
Update profile
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Region where the protection profiles will be deployed
Examples:
"ED"
"DC3"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
50Examples:
"10.32.5.12"
"195.23.43.64"
Was this page helpful?
⌘I